require "sequel"
require "liquid"

module Pretzel
  module ORM
    Database = Sequel
    Model = Class.new(Sequel::Model)

    def self.all_connections
      ObjectSpace.each_object(Sequel::Database).to_a
    end
    
    class Model
      def self.exposes(*args)
        args.each do |arg|
          liquid_methods arg
        end
      end
    end
  end
end